net.corda.core.node.services

## Class UniquenessProvider.Conflict

- net.corda.core.node.services.UniquenessProvider.Conflict

- Enclosing interface:
    UniquenessProvider

      public static class UniquenessProvider.Conflict

  Specifies the consuming transaction for every conflicting state

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Conflict(java.util.Map<net.corda.core.contracts.StateRef,net.corda.core.node.services.UniquenessProvider.ConsumingTx> stateHistory)` Specifies the consuming transaction for every conflicting state

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<net.corda.core.contracts.StateRef,net.corda.core.node.services.UniquenessProvider.ConsumingTx>` | `component1()`
    `UniquenessProvider.Conflict` | `copy(java.util.Map<net.corda.core.contracts.StateRef,net.corda.core.node.services.UniquenessProvider.ConsumingTx> stateHistory)` Specifies the consuming transaction for every conflicting state
    `boolean` | `equals(java.lang.Object p)`
    `java.util.Map<net.corda.core.contracts.StateRef,net.corda.core.node.services.UniquenessProvider.ConsumingTx>` | `getStateHistory()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### Conflict

          public Conflict(java.util.Map<net.corda.core.contracts.StateRef,net.corda.core.node.services.UniquenessProvider.ConsumingTx> stateHistory)

      Specifies the consuming transaction for every conflicting state

  - ### Method Detail

    - #### getStateHistory

          public java.util.Map<net.corda.core.contracts.StateRef,net.corda.core.node.services.UniquenessProvider.ConsumingTx> getStateHistory()

    - #### component1

          public java.util.Map<net.corda.core.contracts.StateRef,net.corda.core.node.services.UniquenessProvider.ConsumingTx> component1()

    - #### copy

          public UniquenessProvider.Conflict copy(java.util.Map<net.corda.core.contracts.StateRef,net.corda.core.node.services.UniquenessProvider.ConsumingTx> stateHistory)

      Specifies the consuming transaction for every conflicting state

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)